## ros-one-people-velocity-tracker 1.4.2-7jammy.20251023.1436

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(people_velocity_tracker)

find_package(catkin REQUIRED COMPONENTS
  easy_markers
  geometry_msgs
  kalman_filter
  people_msgs
  roslib
  rospy
)

catkin_package(
    CATKIN_DEPENDS
        easy_markers geometry_msgs kalman_filter people_msgs roslib rospy
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch roslint)
  roslaunch_add_file_check(launch)
  roslint_python()
  roslint_add_test()
endif()

install(FILES launch/filtered_tracked_detector.launch launch/tracked_detector.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

catkin_install_python(PROGRAMS scripts/static.py scripts/tracker.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-people-velocity-tracker (1.4.2-7jammy.20251023.1436) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 14:36:30 +0000

ros-one-people-velocity-tracker (1.4.2-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 14:36:30 -0000

ros-one-people-velocity-tracker (1.2.0-0jammy) jammy; urgency=high

  * Whitespace cleanup (#73 <https://github.com/wg-perception/people/issues/73>)
  * Contributors: David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.9-0jammy) jammy; urgency=high

  * change queue sizes to 10
  * Update for Indigo and add unfiltered people velocity launcher
  * PEP8 fixes
  * Contributors: Aaron Blasdel

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.8-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.4-0jammy) jammy; urgency=high

  * Merging people_velocity_tracker into people
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Jul 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.3-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-people-velocity-tracker
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-easy-markers, ros-one-geometry-msgs, ros-one-kalman-filter, ros-one-people-msgs, ros-one-roslib, ros-one-rospy
Homepage: http://ros.org/wiki/people_velocity_tracker
Standards-Version: 3.9.2

Package: ros-one-people-velocity-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-easy-markers, ros-one-geometry-msgs, ros-one-kalman-filter, ros-one-leg-detector, ros-one-people-msgs, ros-one-roslib, ros-one-rospy
Description: Track the output of the leg_detector to indicate the velocity of person.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-people-velocity-tracker//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-people-velocity-tracker 1.4.2-7jammy.20251208.0134

=== debian/changelog ===
ros-one-people-velocity-tracker (1.4.2-7jammy.20251208.0134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 01:34:49 +0000

## ros-one-people-velocity-tracker 1.4.2-7jammy.20260222.0032

=== debian/changelog ===
ros-one-people-velocity-tracker (1.4.2-7jammy.20260222.0032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 22 Feb 2026 00:32:16 +0000

## ros-one-people-velocity-tracker 1.4.2-7noble.20251023.1509

=== debian/changelog ===
ros-one-people-velocity-tracker (1.4.2-7noble.20251023.1509) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 15:09:22 +0000

ros-one-people-velocity-tracker (1.4.2-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 15:09:22 -0000

ros-one-people-velocity-tracker (1.2.0-0noble) noble; urgency=high

  * Whitespace cleanup (#73 <https://github.com/wg-perception/people/issues/73>)
  * Contributors: David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.9-0noble) noble; urgency=high

  * change queue sizes to 10
  * Update for Indigo and add unfiltered people velocity launcher
  * PEP8 fixes
  * Contributors: Aaron Blasdel

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.8-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.4-0noble) noble; urgency=high

  * Merging people_velocity_tracker into people
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Jul 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.3-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-one-people-velocity-tracker (1.0.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

## ros-one-people-velocity-tracker 1.4.2-7noble.20251208.1221

=== debian/changelog ===
ros-one-people-velocity-tracker (1.4.2-7noble.20251208.1221) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 12:21:28 +0000

## ros-one-people-velocity-tracker 1.4.2-7noble.20260222.0145

=== debian/changelog ===
ros-one-people-velocity-tracker (1.4.2-7noble.20260222.0145) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 22 Feb 2026 01:45:51 +0000
